package com.zjrs.ggfw.rlzysc.dto.grzxjlxx;

import com.zjrs.ggfw.rlzysc.po.*;

import java.util.List;

public class ExportJlxxDTO {

    private JlxxPO jlxxpo;//简历基本信息
    private RsRlzyQzyxPO qzyxpo;//求职意向
    private List<RsRlzyGzjyPO> gzjypo;//工作经验
    private List<RsRlzyJyjlPO> jyjlpo;//教育经历
    private List<RsRlzyPxjlPO> pxjlpo;//培训经历
    private List<RsRlzyZyjnPO> zyjnpo;//职业技能
    private List<RsRlzyZcqkPO> zcqkpo;//职称情况
    private List<RsRlzyShzsPO> shzspo;//所获证书
    private List<RsRlzyHjqkPO> hjqkpo;//获奖情况
    private ExportJlxxBtDTO jlxxbtdto;

    private byte[] picture;

    public ExportJlxxBtDTO getJlxxbtdto() {
        return jlxxbtdto;
    }

    public void setJlxxbtdto(ExportJlxxBtDTO jlxxbtdto) {
        this.jlxxbtdto = jlxxbtdto;
    }

    public ExportJlxxDTO(JlxxPO jlxxpo, RsRlzyQzyxPO qzyxpo, List<RsRlzyGzjyPO> gzjypo, List<RsRlzyJyjlPO> jyjlpo, List<RsRlzyPxjlPO> pxjlpo, List<RsRlzyZyjnPO> zyjnpo, List<RsRlzyZcqkPO> zcqkpo, List<RsRlzyShzsPO> shzspo, List<RsRlzyHjqkPO> hjqkpo, ExportJlxxBtDTO jlxxbtdto) {
        this.jlxxpo = jlxxpo;
        this.qzyxpo = qzyxpo;
        this.gzjypo = gzjypo;
        this.jyjlpo = jyjlpo;
        this.pxjlpo = pxjlpo;
        this.zyjnpo = zyjnpo;
        this.zcqkpo = zcqkpo;
        this.shzspo = shzspo;
        this.hjqkpo = hjqkpo;
        this.jlxxbtdto = jlxxbtdto;
    }

    public ExportJlxxDTO(JlxxPO jlxxpo, RsRlzyQzyxPO qzyxpo,
                         List<RsRlzyGzjyPO> gzjypo, List<RsRlzyJyjlPO> jyjlpo,
                         List<RsRlzyPxjlPO> pxjlpo, List<RsRlzyZyjnPO> zyjnpo,
                         List<RsRlzyZcqkPO> zcqkpo, List<RsRlzyShzsPO> shzspo,
                         List<RsRlzyHjqkPO> hjqkpo, ExportJlxxBtDTO jlxxbtdto,
                         byte[] picture) {
        this.jlxxpo = jlxxpo;
        this.qzyxpo = qzyxpo;
        this.gzjypo = gzjypo;
        this.jyjlpo = jyjlpo;
        this.pxjlpo = pxjlpo;
        this.zyjnpo = zyjnpo;
        this.zcqkpo = zcqkpo;
        this.shzspo = shzspo;
        this.hjqkpo = hjqkpo;
        this.jlxxbtdto = jlxxbtdto;
        this.picture = picture;
    }

    public JlxxPO getJlxxpo() {
        return jlxxpo;
    }

    public void setJlxxpo(JlxxPO jlxxpo) {
        this.jlxxpo = jlxxpo;
    }

    public RsRlzyQzyxPO getQzyxpo() {
        return qzyxpo;
    }

    public void setQzyxpo(RsRlzyQzyxPO qzyxpo) {
        this.qzyxpo = qzyxpo;
    }

    public List<RsRlzyGzjyPO> getGzjypo() {
        return gzjypo;
    }

    public void setGzjypo(List<RsRlzyGzjyPO> gzjypo) {
        this.gzjypo = gzjypo;
    }

    public List<RsRlzyJyjlPO> getJyjlpo() {
        return jyjlpo;
    }

    public void setJyjlpo(List<RsRlzyJyjlPO> jyjlpo) {
        this.jyjlpo = jyjlpo;
    }

    public List<RsRlzyPxjlPO> getPxjlpo() {
        return pxjlpo;
    }

    public void setPxjlpo(List<RsRlzyPxjlPO> pxjlpo) {
        this.pxjlpo = pxjlpo;
    }

    public List<RsRlzyZyjnPO> getZyjnpo() {
        return zyjnpo;
    }

    public void setZyjnpo(List<RsRlzyZyjnPO> zyjnpo) {
        this.zyjnpo = zyjnpo;
    }

    public List<RsRlzyZcqkPO> getZcqkpo() {
        return zcqkpo;
    }

    public void setZcqkpo(List<RsRlzyZcqkPO> zcqkpo) {
        this.zcqkpo = zcqkpo;
    }

    public List<RsRlzyShzsPO> getShzspo() {
        return shzspo;
    }

    public void setShzspo(List<RsRlzyShzsPO> shzspo) {
        this.shzspo = shzspo;
    }

    public List<RsRlzyHjqkPO> getHjqkpo() {
        return hjqkpo;
    }

    public void setHjqkpo(List<RsRlzyHjqkPO> hjqkpo) {
        this.hjqkpo = hjqkpo;
    }

    public byte[] getPicture() {
        return picture;
    }

    public void setPicture(byte[] picture) {
        this.picture = picture;
    }
}

